
#include "Perus.h"















void GRAFIIKKA::LisaaKamera( KAMERA UusiKamera)
{
    KAMERA *TempKamerat;

    if(KameroidenLKM > 0)
    {
        TempKamerat = new KAMERA [KameroidenLKM];

        TempKamerat = Kamerat;

        Kamerat = new KAMERA [KameroidenLKM + 1];

        for(unsigned int i=0; i<KameroidenLKM; i++)
        {
            Kamerat[i] = TempKamerat[i];
        }
    }

    else
    {
        Kamerat = new KAMERA [ 1 ]; // 1 = KameroidenLKM + 1
    }
    Kamerat[KameroidenLKM].YlosV.X = 0;    Kamerat[KameroidenLKM].YlosV.Y = 1;    Kamerat[KameroidenLKM].YlosV.Z = 0;
    Kamerat[KameroidenLKM].HidInd = 0;
    for(int i=0; i< 1000; i++)Kamerat[KameroidenLKM].HidV[i] = NollaVektori;
    KameroidenLKM++;
    Kamerat[KameroidenLKM - 1] = UusiKamera;
}

void GRAFIIKKA::KytkeKamera(unsigned int Ind)
{
    AktiivinenKamera = Ind;
}

KAMERA &GRAFIIKKA::Kamera(unsigned int Ind)
{
    return Kamerat[Ind];
}

KAMERA &GRAFIIKKA::Kamera()
{
    return Kamerat[AktiivinenKamera];
}

















